#!/usr/bin/env bash

echo "Step 1: 安装 AList"
apt update
apt install -y alist jq wget

echo "Step 2: 设置自启动"
wget -q https://gist.githubusercontent.com/ChenyangGao/e8e520de651e6375dad552b5a761902f/raw/alist.sh -O ~/alist.sh
chmod +x ~/alist.sh
~/alist.sh enable
~/alist.sh start -d

echo "Step 3: 修改 admin 的密码为 123456"
alist admin set 123456

echo "Step 4: 启用 guest 用户，免密码、启用 Webdav、只读"
AlistToken=$(wget -q -O - --header="Content-Type: application/json" --post-data='{"username": "admin", "password": "123456"}' http://localhost:5244/api/auth/login | jq -r '.data.token')
wget -q -O - --header="Content-Type: application/json" --header "Authorization: $AlistToken" --post-data='{"id": 2, "username": "guest", "password": "", "role": 1, "permission": 258, "disabled": false}' http://localhost:5244/api/admin/user/update